org.minidns.record

## Class OPT

- java.lang.Object
- - org.minidns.record.Data
  - - org.minidns.record.OPT

-     public class OPT
      extends Data

  DNS OPT record payload for EDNS0 extensions.
  Enables extended DNS features and options beyond original DNS protocol. Carries EDNS options and UDP payload size information.
  See Also:
    RFC 2671

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `List<EdnsOption>` | `variablePart`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OPT()`
    `OPT(List<EdnsOption> variablePart)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Record.TYPE` | `getType()` The payload type.
    `static OPT` | `parse(DataInputStream dis, int payloadLength)`
    `protected void` | `serialize(DataOutputStream dos)` The internal method used to serialize Data subclasses.

    - ### Methods inherited from class org.minidns.record.Data

      `equals, hashCode, length, toByteArray, toOutputStream, toOutputStream`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### variablePart

          public final List<EdnsOption> variablePart

  - ### Constructor Detail

    - #### OPT

          public OPT()

    - #### OPT

          public OPT(List<EdnsOption> variablePart)

  - ### Method Detail

    - #### getType

          public Record.TYPE getType()

      Description copied from class: `Data`
      The payload type.
      Specified by:
        `getType` in class `Data`
      Returns:
        The payload type.

    - #### parse

          public static OPT parse(DataInputStream dis,
                                  int payloadLength)
                           throws IOException

      Throws:
        `IOException`

    - #### serialize

          protected void serialize(DataOutputStream dos)
                            throws IOException

      Description copied from class: `Data`
      The internal method used to serialize Data subclasses.
      Specified by:
        `serialize` in class `Data`
      Parameters:
        `dos` - the output stream to serialize to.
      Throws:
        `IOException` - if an I/O error occurs.